Loading...
Searching...
No Matches
container Interface Reference
Utility » Container

The (most general) container concept as defined by the standard library. More...

`#include <seqan3/utility/container/concept.hpp>`

Inheritance diagram for container:
[legend]

## Detailed Description

The (most general) container concept as defined by the standard library.

The container concept is modelled as in the STL, but additionally requires std::swap() to be implemented.

Attention
  Other than one might expect, std::forward_list does not satisfy this concept (because it does not provide .size()).

This entity is not part of the SeqAn API. Do not rely on it in your applications. Exposition only.

The documentation for this interface was generated from the following file:

- utility/container/concept.hpp

Hide me